summaryrefslogtreecommitdiff
path: root/t/parallel-tests-basics.sh
diff options
context:
space:
mode:
authorStefano Lattarini <stefano.lattarini@gmail.com>2013-05-22 11:35:29 +0200
committerStefano Lattarini <stefano.lattarini@gmail.com>2013-05-22 12:03:23 +0200
commitff728cd39b9fc43b0a1d4a159a8cec5d83e04dbf (patch)
treef195da2b32ca496018cad8da5cfcf8e794c02b50 /t/parallel-tests-basics.sh
parent1e6f6705c442592b6ea84f02885a04657aec6e5a (diff)
parentbaf8a1c22acce0908020210bcdd47f241ef00005 (diff)
downloadautomake-ff728cd39b9fc43b0a1d4a159a8cec5d83e04dbf.tar.gz
Merge branch 'master' into ng/master
* master: tests: run_make: options to do command redirection tests: only activate 'unset' alias if required tests: better idiom to override make macro defs on the cmdline test-lib: minor style changes test-lib: fix botched function name in an error message automake: remove one extra trailing whitespace automake: cosmetic changes in indentation and line breaks maintcheck: minor tweaks and fixlets Signed-off-by: Stefano Lattarini <stefano.lattarini@gmail.com>
Diffstat (limited to 't/parallel-tests-basics.sh')
-rw-r--r--t/parallel-tests-basics.sh16
1 files changed, 8 insertions, 8 deletions
diff --git a/t/parallel-tests-basics.sh b/t/parallel-tests-basics.sh
index 8896acefd..036d5e5c6 100644
--- a/t/parallel-tests-basics.sh
+++ b/t/parallel-tests-basics.sh
@@ -78,10 +78,10 @@ test ! -e test-suite.log
# Check dependencies: baz.test needs to run before bar.test,
# but foo.test is not needed.
-# FIXME: Note that this usage has a problem: the summary will only
-# FIXME: take bar.log into account, because the $(TEST_SUITE_LOG)
-# FIXME: rule does not "see" baz.log. Hmm.
-$MAKE check TESTS=bar.test >stdout && { cat stdout; exit 1; }
+# Note that this usage has a problem: the summary will only
+# take bar.log into account, because the $(TEST_SUITE_LOG) rule
+# does not "see" baz.log. Hmm.
+run_make TESTS='bar.test' check >stdout && { cat stdout; exit 1; }
cat stdout
grep '^FAIL: baz\.test$' stdout
grep '^ERROR: bar\.test$' stdout
@@ -97,7 +97,7 @@ test -f test-suite.log
# Note that the previous test and this one taken together expose the timing
# issue that requires the check-TESTS rule to always remove TEST_SUITE_LOG
# before running the tests lazily.
-$MAKE check AM_LAZY_CHECK=yes > stdout && { cat stdout; exit 1; }
+run_make check AM_LAZY_CHECK=yes > stdout && { cat stdout; exit 1; }
cat stdout
test -f foo.log
grep '^PASS: foo\.test$' stdout
@@ -109,7 +109,7 @@ grep '^# ERROR: *1$' stdout
# Now, explicitly retry with all test logs already updated, and ensure
# that the summary is still displayed.
-$MAKE check AM_LAZY_CHECK=yes > stdout && { cat stdout; exit 1; }
+run_make check AM_LAZY_CHECK=yes > stdout && { cat stdout; exit 1; }
cat stdout
grep foo.test stdout && exit 1
grep bar.test stdout && exit 1
@@ -119,14 +119,14 @@ grep '^# FAIL: *1$' stdout
grep '^# ERROR: *1$' stdout
$MAKE clean
-$MAKE check TESTS=baz > stdout && { cat stdout; exit 1; }
+run_make check TESTS=baz > stdout && { cat stdout; exit 1; }
cat stdout
grep foo.test stdout && exit 1
grep bar.test stdout && exit 1
grep baz.test stdout
$MAKE clean
-$MAKE check TESTS=baz.test > stdout && { cat stdout; exit 1; }
+run_make check TESTS=baz.test > stdout && { cat stdout; exit 1; }
cat stdout
grep foo.test stdout && exit 1
grep bar.test stdout && exit 1